org.apache.lucene.search.suggest

## Class Sort.ByteSequencesWriter

- java.lang.Object
- - org.apache.lucene.search.suggest.Sort.ByteSequencesWriter

All Implemented Interfaces:
  Closeable, AutoCloseable

Enclosing class:
  Sort

    public static class Sort.ByteSequencesWriter
    extends Object
    implements Closeable

Utility class to emit length-prefixed byte[] entries to an output stream for sorting. Complementary to `Sort.ByteSequencesReader`.

### Constructor Summary

Constructors
Constructor and Description
`Sort.ByteSequencesWriter(DataOutput os)` Constructs a ByteSequencesWriter to the provided DataOutput
`Sort.ByteSequencesWriter(File file)` Constructs a ByteSequencesWriter to the provided File

### Method Summary

Methods
`void` `close()` Closes the provided `DataOutput` if it is `Closeable`.
`void` `write(byte[] bytes)` Writes a byte array.
`void` `write(byte[] bytes, int off, int len)` Writes a byte array.
`void` `write(BytesRef ref)` Writes a BytesRef.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Sort.ByteSequencesWriter

    public Sort.ByteSequencesWriter(File file)
                             throws IOException

Constructs a ByteSequencesWriter to the provided File

Throws:
  `IOException`

#### Sort.ByteSequencesWriter

    public Sort.ByteSequencesWriter(DataOutput os)

Constructs a ByteSequencesWriter to the provided DataOutput

### Method Detail

#### write

    public void write(BytesRef ref)
               throws IOException

Writes a BytesRef.

Throws:
  `IOException`
See Also:
  `write(byte[], int, int)`

#### write

    public void write(byte[] bytes)
               throws IOException

Writes a byte array.

Throws:
  `IOException`
See Also:
  `write(byte[], int, int)`

#### write

    public void write(byte[] bytes,
             int off,
             int len)
               throws IOException

Writes a byte array.

The length is written as a `short`, followed by the bytes.

Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Closes the provided `DataOutput` if it is `Closeable`.

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`